AgentConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin.jmx, interface: AgentConfig

Package org.apache.geode.admin.jmx

# Interface AgentConfig

All Superinterfaces:
  `Cloneable`, `DistributedSystemConfig`

@Deprecated public interface AgentConfig extends DistributedSystemConfig
Deprecated.
as of 7.0 use the `management` package instead
A configuration object for a JMX administration agent that is hosted by a GemFire application VM. A file named `"agent.properties"` can be used to override the default values of `AgentConfig` attributes. The "gfAgentPropertyFile" system property can be used to specify an agent properties file other than "agent.properties". System properties prefixed with "gemfire.agent." can be used to override the values in the properties file. For instance "-Dgemfire.agent.http-port=8081" can be used to override the default port for the HTTP adapter. Configuration related to the distributed system that the JMX agent administers is inherited from and described in `AgentConfig`'s superinterface, `DistributedSystemConfig`.

An `AgentConfig` can be modified using a number of mutator methods until it is used to create an `Agent`. After that, attempts to modify most attributes in the `AgentConfig` will result in an `IllegalStateException` being thrown. If you wish to use the same `AgentConfig` to configure multiple `Agent`s, a copy of the `AgentConfig` object can be made by invoking its `clone()` method.

JMX Administation Agent Configuration Properties

auto-connect
  Description: whether or not a JMX agent will automatically connect to the distributed system it is configured to administer.
  Default: false

JMX Agent SSL Configuration Properties

These parameters configure sockets that are created by the GemFire JMX Agent regardless of which adapters are enabled. These setting apply to all adapters. For example, if clients connect to the RMI adapter using SSL, then clients must also connect to the HTTP adapter using SSL (HTTPS). Note that these configuration attributes do not effect how the agent connects to the distributed system it administers, only how JMX clients connect to the agent.

agent-ssl-enabled
  Description: whether or not connections to the JMX agent require SSL
  Default: false

agent-ssl-protocols
  Description: the SSL protocols to be used when connecting to the JMX agent
  Default: any

agent-ssl-ciphers
  Description: the SSL ciphers to be used when connecting to the JMX agent
  Default: any

agent-ssl-require-authentication
  Description: whether or not SSL connections to the RMI adapter require authentication
  Default: true

http-ssl-require-authentication
  Description: whether or not SSL connections to the HTTP adapter require authentication
  Default: false

HTTP Adapter Configuration

http-enabled
  Description: whether or not the HTTP adapter is enabled in the JMX agent.
  Default: true

http-port
  Description: the port on which the HTTP adapter should listen for client connections.
  Default: 8080

http-bind-address
  Description: the machine name or IP address to which the HTTP listening socket should be bound. If this value is "localhost", then the socket will be bound to the loopback address (127.0.0.1) and the adapter will only be accessible via the URL `http://localhost:8080`.
  Default: "" (all network addresses)

http-authentication-enabled
  Description: Whether or not connections to the HTTP adapter should be authenticated with a user name and password.
  Default: false

http-authentication-user
  Description: the user name for authenticating secure communication.
  Default: admin

http-authentication-password
  Description: the password for authenticating secure communication.
  Default: password

RMI Adapter Configuration Properties

rmi-enabled
  Description: whether or not the RMI JMX adapter is enabled
  Default: true

rmi-registry-enabled
  Description: whether or not the JMX agent should start an RMI registry. Alternatively, a registry outside of the JMX agent VM can be used.
  Default: true

rmi-port
  Description: the port of the RMI registry in which the JMX Agent should bind remote objects.
  Default: 1099

rmi-server-port
  Description: the port to be used by the RMI Server started by JMX Agent.
  Default: 0

rmi-bind-address
  Description: the bind address on which the RMI registry binds its sockets.
  Default: "" (all network addresses)

AdventNet SNMP Adapter Configuration Properties

snmp-enabled
  Description: whether or not the SNMP JMX adapter is enabled
  Default: false

snmp-bind-address
  Description: the host name to which sockets used by the SNMP adapter should be bound.
  Default: the name of the local machine (not `localhost`)

snmp-directory
  Description: the deployment directory for AdventNet SNMP Adaptor
  Default: ""

JMX Agent Email Notification Properties (for statistics alerts)

email-notification-enabled
  Description: Whether or not email notifications are enabled for statistics alerts.
  Default: false

email-notification-from
  Description: Email address to be used to send email notifications.
  Default: ""

email-notification-host
  Description: The host name of the mail server to be used for email communication.
  Default: ""

email-notification-to
  Description: Email address where the email notifications should be sent.
  Default: ""

state-save-file
  Description: The name of the file to be used for saving agent state. The file is stored in the same directory in which the agent.properties file is located
  Default: ""

Since:
  GemFire 4.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.geode.admin.DistributedSystemConfig

  `DistributedSystemConfig.ConfigListener`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AGENT_SSL_CIPHERS_NAME`
  Deprecated.
  The name of the "agent-ssl-ciphers" property
  `static final String`
  `AGENT_SSL_ENABLED_NAME`
  Deprecated.
  The name of the "agent-ssl-enabled" property
  `static final String`
  `AGENT_SSL_PROTOCOLS_NAME`
  Deprecated.
  The name of the "agent-ssl-protocols" property
  `static final String`
  `AGENT_SSL_REQUIRE_AUTHENTICATION_NAME`
  Deprecated.
  The name of the "agent-ssl-require-authentication" property
  `static final String`
  `AUTO_CONNECT_NAME`
  Deprecated.
  The name of the "auto-connect" property
  `static final String`
  `DEFAULT_AGENT_SSL_CIPHERS`
  Deprecated.
  The default value of the "agent-ssl-ciphers" property
  `static final boolean`
  `DEFAULT_AGENT_SSL_ENABLED`
  Deprecated.
  The default value of the "agent-ssl-enabled" property
  `static final String`
  `DEFAULT_AGENT_SSL_PROTOCOLS`
  Deprecated.
  The default value of the "agent-ssl-protocols" property
  `static final boolean`
  `DEFAULT_AGENT_SSL_REQUIRE_AUTHENTICATION`
  Deprecated.
  The default value of the "agent-ssl-require-authentication" property
  `static final boolean`
  `DEFAULT_AUTO_CONNECT`
  Deprecated.
  The default value of the "auto-connect" property
  `static final String`
  `DEFAULT_EMAIL_FROM`
  Deprecated.
  The default value of the "email-notification-from" property
  `static final String`
  `DEFAULT_EMAIL_HOST`
  Deprecated.
  The default value of the "email-notification-host" property
  `static final boolean`
  `DEFAULT_EMAIL_NOTIFICATIONS_ENABLED`
  Deprecated.
  The default value of the "email-notification-enabled" property
  `static final String`
  `DEFAULT_EMAIL_TO_LIST`
  Deprecated.
  The default value of the "email-notification-to" property
  `static final boolean`
  `DEFAULT_HTTP_AUTHENTICATION_ENABLED`
  Deprecated.
  The default value of the "http-authentication-enabled" property
  `static final String`
  `DEFAULT_HTTP_AUTHENTICATION_PASSWORD`
  Deprecated.
  The default value of the "http-authentication-password" property
  `static final String`
  `DEFAULT_HTTP_AUTHENTICATION_USER`
  Deprecated.
  The default value of the "http-authentication-user" property
  `static final String`
  `DEFAULT_HTTP_BIND_ADDRESS`
  Deprecated.
  The default value of the "httpBindAddress" property
  `static final boolean`
  `DEFAULT_HTTP_ENABLED`
  Deprecated.
  The default value of the "httpEnabled" property
  `static final int`
  `DEFAULT_HTTP_PORT`
  Deprecated.
  The default value of the "httpPort" property (8080)
  `static final boolean`
  `DEFAULT_HTTP_SSL_REQUIRE_AUTHENTICATION`
  Deprecated.
  The default value of the "http-ssl-require-authentication" property
  `static final String`
  `DEFAULT_PROPERTY_FILE`
  Deprecated.
  The default "propertyFile" value
  `static final String`
  `DEFAULT_RMI_BIND_ADDRESS`
  Deprecated.
  The default value of the rmi-bind-address property
  `static final boolean`
  `DEFAULT_RMI_ENABLED`
  Deprecated.
  The default value of the rmi-enabled property
  `static final int`
  `DEFAULT_RMI_PORT`
  Deprecated.
  The default value of the rmi-port property (1099)
  `static final boolean`
  `DEFAULT_RMI_REGISTRY_ENABLED`
  Deprecated.
  The default value of the rmi-registry-enabled property
  `static final int`
  `DEFAULT_RMI_SERVER_PORT`
  Deprecated.
  The default value of the rmi-server-port property (0)
  `static final String`
  `DEFAULT_SNMP_BIND_ADDRESS`
  Deprecated.
  The default value of the "snmpBindAddress" property
  `static final String`
  `DEFAULT_SNMP_DIRECTORY`
  Deprecated.
  The default value of the "snmpDirectory" property
  `static final boolean`
  `DEFAULT_SNMP_ENABLED`
  Deprecated.
  The default value of the "snmpEnabled" property
  `static final String`
  `DEFAULT_STATE_SAVE_FILE`
  Deprecated.
  The default name for file that has "agent state saved serialized"
  `static final String`
  `EMAIL_NOTIFICATIONS_ENABLED_NAME`
  Deprecated.
  The name of the "email-notification-enabled" property
  `static final String`
  `EMAIL_NOTIFICATIONS_FROM_NAME`
  Deprecated.
  The name of the "email-notification-from" property
  `static final String`
  `EMAIL_NOTIFICATIONS_HOST_NAME`
  Deprecated.
  The name of the "email-notification-host" property
  `static final String`
  `EMAIL_NOTIFICATIONS_TO_LIST_NAME`
  Deprecated.
  The name of the "email-notification-to" property
  `static final String`
  `HTTP_AUTHENTICATION_ENABLED_NAME`
  Deprecated.
  The name of the "http-authentication-enabled" property
  `static final String`
  `HTTP_AUTHENTICATION_PASSWORD_NAME`
  Deprecated.
  The name of the "http-authentication-password" property
  `static final String`
  `HTTP_AUTHENTICATION_USER_NAME`
  Deprecated.
  The name of the "http-authentication-user" property
  `static final String`
  `HTTP_BIND_ADDRESS_NAME`
  Deprecated.
  The name of the "httpBindAddress" property
  `static final String`
  `HTTP_ENABLED_NAME`
  Deprecated.
  The name of the "httpEnabled" property
  `static final String`
  `HTTP_PORT_NAME`
  Deprecated.
  The name of the "httpPort" property
  `static final String`
  `HTTP_SSL_REQUIRE_AUTHENTICATION_NAME`
  Deprecated.
  The name of the "http-ssl-require-authentication" property
  `static final int`
  `MAX_HTTP_PORT`
  Deprecated.
  The maximum httpPort (65535)
  `static final int`
  `MAX_RMI_PORT`
  Deprecated.
  The maximum value for rmi-port or rmi-server-port (65535)
  `static final int`
  `MIN_HTTP_PORT`
  Deprecated.
  The minimum httpPort (0)
  `static final int`
  `MIN_RMI_PORT`
  Deprecated.
  The minimum value for rmi-port or rmi-server-port (0)
  `static final String`
  `RMI_BIND_ADDRESS_NAME`
  Deprecated.
  The name of the "rmiBindAddress" property
  `static final String`
  `RMI_ENABLED_NAME`
  Deprecated.
  The name of the "rmiEnabled" property
  `static final String`
  `RMI_PORT_NAME`
  Deprecated.
  The name of the "rmiPort" property
  `static final String`
  `RMI_REGISTRY_ENABLED_NAME`
  Deprecated.
  The name of the "rmi-registry-enabled" property
  `static final String`
  `RMI_SERVER_PORT_NAME`
  Deprecated.
  The name of the "rmi-server-port" property
  `static final String`
  `SNMP_BIND_ADDRESS_NAME`
  Deprecated.
  The name of the "snmpBindAddress" property
  `static final String`
  `SNMP_DIRECTORY_NAME`
  Deprecated.
  The name of the "snmpDirectory" property
  `static final String`
  `SNMP_ENABLED_NAME`
  Deprecated.
  The name of the "snmpEnabled" property
  `static final String`
  `STATE_SAVE_FILE_NAME`
  Deprecated.
  The name of the "state-save-file-name" property
  `static final String`
  `SYSTEM_PROPERTY_PREFIX`
  Deprecated.
  The prefix for JMX Agent configuration system properties

  ### Fields inherited from interface org.apache.geode.admin.DistributedSystemConfig

  `BIND_ADDRESS_NAME, DEFAULT_ACK_SEVERE_ALERT_THRESHOLD, DEFAULT_ACK_WAIT_THRESHOLD, DEFAULT_BIND_ADDRESS, DEFAULT_DISABLE_AUTO_RECONNECT, DEFAULT_DISABLE_JMX, DEFAULT_DISABLE_TCP, DEFAULT_ENABLE_NETWORK_PARTITION_DETECTION, DEFAULT_ENTITY_CONFIG_XML_FILE, DEFAULT_LOCATORS, DEFAULT_LOG_DISK_SPACE_LIMIT, DEFAULT_LOG_FILE, DEFAULT_LOG_FILE_SIZE_LIMIT, DEFAULT_LOG_LEVEL, DEFAULT_MCAST_ADDRESS, DEFAULT_MCAST_PORT, DEFAULT_MEMBER_TIMEOUT, DEFAULT_MEMBERSHIP_PORT_RANGE, DEFAULT_NAME, DEFAULT_REFRESH_INTERVAL, DEFAULT_REMOTE_COMMAND, DEFAULT_SYSTEM_ID, DEFAULT_TCP_PORT, ENTITY_CONFIG_XML_FILE_NAME, LOCATORS_NAME, LOG_DISK_SPACE_LIMIT_NAME, LOG_FILE_NAME, LOG_FILE_SIZE_LIMIT_NAME, LOG_LEVEL_NAME, MAX_ACK_SEVERE_ALERT_THRESHOLD, MAX_ACK_WAIT_THRESHOLD, MAX_LOG_DISK_SPACE_LIMIT, MAX_LOG_FILE_SIZE_LIMIT, MAX_MCAST_PORT, MCAST_ADDRESS_NAME, MCAST_PORT_NAME, MEMBERSHIP_PORT_RANGE_NAME, MIN_ACK_SEVERE_ALERT_THRESHOLD, MIN_ACK_WAIT_THRESHOLD, MIN_LOG_DISK_SPACE_LIMIT, MIN_LOG_FILE_SIZE_LIMIT, MIN_MCAST_PORT, NAME_NAME, REFRESH_INTERVAL_NAME, REMOTE_COMMAND_NAME, SYSTEM_ID_NAME, TCP_PORT_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Deprecated.
  Returns an `AgentConfig` with the same configuration as this `AgentConfig`.
  `String`
  `getAgentSSLCiphers()`
  Deprecated.
  Returns the SSL ciphers used when connecting to the JMX agent.
  `String`
  `getAgentSSLProtocols()`
  Deprecated.
  Returns the SSL protocols used when connecting to the JMX agent.
  `boolean`
  `getAutoConnect()`
  Deprecated.
  Returns whether or not the JMX agent will automatically connect to the distributed system it administers.
  `String`
  `getEmailNotificationFrom()`
  Deprecated.
  Returns the EmailID from whom notification emails are sent.
  `String`
  `getEmailNotificationHost()`
  Deprecated.
  Returns the Host Name using which notification emails are sent.
  `String`
  `getEmailNotificationToList()`
  Deprecated.
  Returns the comma separated EmailID list to whom notification emails are sent.
  `String`
  `getHttpAuthPassword()`
  Deprecated.
  Returns the password for HTTP adapter authentication.
  `String`
  `getHttpAuthUser()`
  Deprecated.
  Returns the user name for HTTP adapter authentication.
  `String`
  `getHttpBindAddress()`
  Deprecated.
  Returns the bind address to which the HTTP adapter's listening socket is bound.
  `int`
  `getHttpPort()`
  Deprecated.
  Returns the port of the HTTP adapter.
  `String`
  `getRmiBindAddress()`
  Deprecated.
  Returns the bind address to which the RMI adapter's listening sockets are bound.
  `int`
  `getRmiPort()`
  Deprecated.
  Returns the port of the RMI adapter.
  `int`
  `getRmiServerPort()`
  Deprecated.
  Returns the port of the RMI Connector Server.
  `String`
  `getSnmpBindAddress()`
  Deprecated.
  Returns the bind address used with the SNMP adapter.
  `String`
  `getSnmpDirectory()`
  Deprecated.
  Returns the directory for the SNMP adapter.
  `String`
  `getStateSaveFile()`
  Deprecated.
  Returns the name of the file to be used for saving agent state See description above.
  `boolean`
  `isAgentSSLEnabled()`
  Deprecated.
  Returns whether or not SSL is required for the JMX agent.
  `boolean`
  `isAgentSSLRequireAuth()`
  Deprecated.
  Returns whether SSL authentication is used when connecting to the RMI connector.
  `boolean`
  `isEmailNotificationEnabled()`
  Deprecated.
  Returns whether Emails for Notifications is enabled See description above.
  `boolean`
  `isHttpAuthEnabled()`
  Deprecated.
  Returns whether or not the HTTP adapter authenticates connections.
  `boolean`
  `isHttpEnabled()`
  Deprecated.
  Returns whether or not the HTTP adapter is enabled.
  `boolean`
  `isHttpSSLRequireAuth()`
  Deprecated.
  Returns whether SSL authentication is used when connecting to the HTTP connector.
  `boolean`
  `isRmiEnabled()`
  Deprecated.
  Returns whether or not the RMI adapter is enabled.
  `boolean`
  `isRmiRegistryEnabled()`
  Deprecated.
  Returns whether or not the agent hosts an RMI registry.
  `boolean`
  `isSnmpEnabled()`
  Deprecated.
  Returns whether or not the SNMP adapter is enabled.
  `void`
  `setAgentSSLCiphers(String ciphers)`
  Deprecated.
  Sets the SSL ciphers used when connecting to the JMX agent.
  `void`
  `setAgentSSLEnabled(boolean enabled)`
  Deprecated.
  Sets whether or not SSL is required for the JMX agent.
  `void`
  `setAgentSSLProtocols(String protocols)`
  Deprecated.
  Sets the SSL protocols used when connecting to the JMX agent.
  `void`
  `setAgentSSLRequireAuth(boolean require)`
  Deprecated.
  Sets whether SSL authentication is used when connecting to the RMI connector.
  `void`
  `setAutoConnect(boolean autoConnect)`
  Deprecated.
  Sets whether or not the JMX agent will automatically connect to the distributed system it administers.
  `void`
  `setEmailNotificationEnabled(boolean enabled)`
  Deprecated.
  Sets whether Emails for Notifications is enabled See description above.
  `void`
  `setEmailNotificationFrom(String emailID)`
  Deprecated.
  Sets the EmailID from whom notification emails are sent.
  `void`
  `setEmailNotificationHost(String hostName)`
  Deprecated.
  Sets the Host Name from whom notification emails are sent.
  `void`
  `setEmailNotificationToList(String emailIDs)`
  Deprecated.
  Sets the EmailID from whom notification emails are sent as a comma separated list.
  `void`
  `setHttpAuthEnabled(boolean enabled)`
  Deprecated.
  Sets whether or not the HTTP adapter authenticates connections.
  `void`
  `setHttpAuthPassword(String password)`
  Deprecated.
  Sets the password for HTTP adapter authentication.
  `void`
  `setHttpAuthUser(String user)`
  Deprecated.
  Sets the user name for HTTP adapter authentication.
  `void`
  `setHttpBindAddress(String address)`
  Deprecated.
  Sets the bind address to which the HTTP adapter's listening socket is bound.
  `void`
  `setHttpEnabled(boolean httpEnabled)`
  Deprecated.
  Sets whether or not the HTTP adapter is enabled.
  `void`
  `setHttpPort(int port)`
  Deprecated.
  Sets the port of the HTTP adapter.
  `void`
  `setHttpSSLRequireAuth(boolean require)`
  Deprecated.
  Sets whether SSL authentication is used when connecting to the HTTP connector.
  `void`
  `setRmiBindAddress(String address)`
  Deprecated.
  Sets the bind address to which the RMI adapter's listening sockets are bound.
  `void`
  `setRmiEnabled(boolean rmiEnabled)`
  Deprecated.
  Sets whether or not the RMI adapter is enabled.
  `void`
  `setRmiPort(int port)`
  Deprecated.
  Sets the port of the RMI adapter.
  `void`
  `setRmiRegistryEnabled(boolean enabled)`
  Deprecated.
  Sets whether or not the agent hosts an RMI registry.
  `void`
  `setRmiServerPort(int port)`
  Deprecated.
  Sets the port of the RMI Connector Server.
  `void`
  `setSnmpBindAddress(String address)`
  Deprecated.
  Sets the bind address used with the SNMP adapter.
  `void`
  `setSnmpDirectory(String snmpDirectory)`
  Deprecated.
  Sets the directory for the SNMP adapter.
  `void`
  `setSnmpEnabled(boolean enabled)`
  Deprecated.
  Sets whether or not the SNMP adapter is enabled.
  `void`
  `setStateSaveFile(String file)`
  Deprecated.
  Sets the name of the file to be used for saving agent state See description above.

  ### Methods inherited from interface org.apache.geode.admin.DistributedSystemConfig

  `addListener, addSSLProperty, createCacheServerConfig, createCacheVmConfig, createDistributionLocatorConfig, getAckSevereAlertThreshold, getAckWaitThreshold, getBindAddress, getCacheServerConfigs, getCacheVmConfigs, getDisableAutoReconnect, getDisableJmx, getDisableTcp, getDistributionLocatorConfigs, getEnableNetworkPartitionDetection, getEntityConfigXMLFile, getLocators, getLogDiskSpaceLimit, getLogFile, getLogFileSizeLimit, getLogLevel, getMcastAddress, getMcastPort, getMembershipPortRange, getMemberTimeout, getRefreshInterval, getRemoteCommand, getServerBindAddress, getSSLCiphers, getSSLProperties, getSSLProtocols, getSystemId, getSystemName, getTcpPort, isSSLAuthenticationRequired, isSSLEnabled, removeCacheServerConfig, removeCacheVmConfig, removeDistributionLocatorConfig, removeListener, removeSSLProperty, setAckSevereAlertThreshold, setAckWaitThreshold, setBindAddress, setDisableAutoReconnect, setDisableJmx, setDisableTcp, setEnableNetworkPartitionDetection, setEntityConfigXMLFile, setLocators, setLogDiskSpaceLimit, setLogFile, setLogFileSizeLimit, setLogLevel, setMcastAddress, setMcastPort, setMembershipPortRange, setMemberTimeout, setRefreshInterval, setRemoteCommand, setServerBindAddress, setSSLAuthenticationRequired, setSSLCiphers, setSSLEnabled, setSSLProperties, setSSLProtocols, setSystemId, setSystemName, setTcpPort, validate`

- ## Field Details

  - ### SYSTEM_PROPERTY_PREFIX

    static final String SYSTEM_PROPERTY_PREFIX
    Deprecated.
    The prefix for JMX Agent configuration system properties
    See Also:
      - Constant Field Values

  - ### DEFAULT_PROPERTY_FILE

    static final String DEFAULT_PROPERTY_FILE
    Deprecated.
    The default "propertyFile" value
    See Also:
      - Constant Field Values

  - ### DEFAULT_STATE_SAVE_FILE

    static final String DEFAULT_STATE_SAVE_FILE
    Deprecated.
    The default name for file that has "agent state saved serialized"
    See Also:
      - Constant Field Values

  - ### AUTO_CONNECT_NAME

    static final String AUTO_CONNECT_NAME
    Deprecated.
    The name of the "auto-connect" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_AUTO_CONNECT

    static final boolean DEFAULT_AUTO_CONNECT
    Deprecated.
    The default value of the "auto-connect" property
    See Also:
      - Constant Field Values

  - ### HTTP_ENABLED_NAME

    static final String HTTP_ENABLED_NAME
    Deprecated.
    The name of the "httpEnabled" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_ENABLED

    static final boolean DEFAULT_HTTP_ENABLED
    Deprecated.
    The default value of the "httpEnabled" property
    See Also:
      - Constant Field Values

  - ### HTTP_BIND_ADDRESS_NAME

    static final String HTTP_BIND_ADDRESS_NAME
    Deprecated.
    The name of the "httpBindAddress" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_BIND_ADDRESS

    static final String DEFAULT_HTTP_BIND_ADDRESS
    Deprecated.
    The default value of the "httpBindAddress" property
    See Also:
      - Constant Field Values

  - ### HTTP_PORT_NAME

    static final String HTTP_PORT_NAME
    Deprecated.
    The name of the "httpPort" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_PORT

    static final int DEFAULT_HTTP_PORT
    Deprecated.
    The default value of the "httpPort" property (8080)
    See Also:
      - Constant Field Values

  - ### MIN_HTTP_PORT

    static final int MIN_HTTP_PORT
    Deprecated.
    The minimum httpPort (0)
    See Also:
      - Constant Field Values

  - ### MAX_HTTP_PORT

    static final int MAX_HTTP_PORT
    Deprecated.
    The maximum httpPort (65535)
    See Also:
      - Constant Field Values

  - ### STATE_SAVE_FILE_NAME

    static final String STATE_SAVE_FILE_NAME
    Deprecated.
    The name of the "state-save-file-name" property
    See Also:
      - Constant Field Values

  - ### HTTP_AUTHENTICATION_ENABLED_NAME

    static final String HTTP_AUTHENTICATION_ENABLED_NAME
    Deprecated.
    The name of the "http-authentication-enabled" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_AUTHENTICATION_ENABLED

    static final boolean DEFAULT_HTTP_AUTHENTICATION_ENABLED
    Deprecated.
    The default value of the "http-authentication-enabled" property
    See Also:
      - Constant Field Values

  - ### HTTP_AUTHENTICATION_USER_NAME

    static final String HTTP_AUTHENTICATION_USER_NAME
    Deprecated.
    The name of the "http-authentication-user" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_AUTHENTICATION_USER

    static final String DEFAULT_HTTP_AUTHENTICATION_USER
    Deprecated.
    The default value of the "http-authentication-user" property
    See Also:
      - Constant Field Values

  - ### HTTP_AUTHENTICATION_PASSWORD_NAME

    static final String HTTP_AUTHENTICATION_PASSWORD_NAME
    Deprecated.
    The name of the "http-authentication-password" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_AUTHENTICATION_PASSWORD

    static final String DEFAULT_HTTP_AUTHENTICATION_PASSWORD
    Deprecated.
    The default value of the "http-authentication-password" property
    See Also:
      - Constant Field Values

  - ### EMAIL_NOTIFICATIONS_ENABLED_NAME

    static final String EMAIL_NOTIFICATIONS_ENABLED_NAME
    Deprecated.
    The name of the "email-notification-enabled" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_EMAIL_NOTIFICATIONS_ENABLED

    static final boolean DEFAULT_EMAIL_NOTIFICATIONS_ENABLED
    Deprecated.
    The default value of the "email-notification-enabled" property
    See Also:
      - Constant Field Values

  - ### EMAIL_NOTIFICATIONS_FROM_NAME

    static final String EMAIL_NOTIFICATIONS_FROM_NAME
    Deprecated.
    The name of the "email-notification-from" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_EMAIL_FROM

    static final String DEFAULT_EMAIL_FROM
    Deprecated.
    The default value of the "email-notification-from" property
    See Also:
      - Constant Field Values

  - ### EMAIL_NOTIFICATIONS_HOST_NAME

    static final String EMAIL_NOTIFICATIONS_HOST_NAME
    Deprecated.
    The name of the "email-notification-host" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_EMAIL_HOST

    static final String DEFAULT_EMAIL_HOST
    Deprecated.
    The default value of the "email-notification-host" property
    See Also:
      - Constant Field Values

  - ### EMAIL_NOTIFICATIONS_TO_LIST_NAME

    static final String EMAIL_NOTIFICATIONS_TO_LIST_NAME
    Deprecated.
    The name of the "email-notification-to" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_EMAIL_TO_LIST

    static final String DEFAULT_EMAIL_TO_LIST
    Deprecated.
    The default value of the "email-notification-to" property
    See Also:
      - Constant Field Values

  - ### RMI_ENABLED_NAME

    static final String RMI_ENABLED_NAME
    Deprecated.
    The name of the "rmiEnabled" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_RMI_ENABLED

    static final boolean DEFAULT_RMI_ENABLED
    Deprecated.
    The default value of the rmi-enabled property
    See Also:
      - Constant Field Values

  - ### RMI_REGISTRY_ENABLED_NAME

    static final String RMI_REGISTRY_ENABLED_NAME
    Deprecated.
    The name of the "rmi-registry-enabled" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_RMI_REGISTRY_ENABLED

    static final boolean DEFAULT_RMI_REGISTRY_ENABLED
    Deprecated.
    The default value of the rmi-registry-enabled property
    See Also:
      - Constant Field Values

  - ### RMI_BIND_ADDRESS_NAME

    static final String RMI_BIND_ADDRESS_NAME
    Deprecated.
    The name of the "rmiBindAddress" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_RMI_BIND_ADDRESS

    static final String DEFAULT_RMI_BIND_ADDRESS
    Deprecated.
    The default value of the rmi-bind-address property
    See Also:
      - Constant Field Values

  - ### RMI_PORT_NAME

    static final String RMI_PORT_NAME
    Deprecated.
    The name of the "rmiPort" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_RMI_PORT

    static final int DEFAULT_RMI_PORT
    Deprecated.
    The default value of the rmi-port property (1099)
    See Also:
      - Constant Field Values

  - ### RMI_SERVER_PORT_NAME

    static final String RMI_SERVER_PORT_NAME
    Deprecated.
    The name of the "rmi-server-port" property
    Since:
      GemFire 6.5
    See Also:
      - Constant Field Values

  - ### DEFAULT_RMI_SERVER_PORT

    static final int DEFAULT_RMI_SERVER_PORT
    Deprecated.
    The default value of the rmi-server-port property (0)
    Since:
      GemFire 6.5
    See Also:
      - Constant Field Values

  - ### MIN_RMI_PORT

    static final int MIN_RMI_PORT
    Deprecated.
    The minimum value for rmi-port or rmi-server-port (0)
    See Also:
      - Constant Field Values

  - ### MAX_RMI_PORT

    static final int MAX_RMI_PORT
    Deprecated.
    The maximum value for rmi-port or rmi-server-port (65535)
    See Also:
      - Constant Field Values

  - ### SNMP_ENABLED_NAME

    static final String SNMP_ENABLED_NAME
    Deprecated.
    The name of the "snmpEnabled" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_SNMP_ENABLED

    static final boolean DEFAULT_SNMP_ENABLED
    Deprecated.
    The default value of the "snmpEnabled" property
    See Also:
      - Constant Field Values

  - ### SNMP_BIND_ADDRESS_NAME

    static final String SNMP_BIND_ADDRESS_NAME
    Deprecated.
    The name of the "snmpBindAddress" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_SNMP_BIND_ADDRESS

    static final String DEFAULT_SNMP_BIND_ADDRESS
    Deprecated.
    The default value of the "snmpBindAddress" property
    See Also:
      - Constant Field Values

  - ### SNMP_DIRECTORY_NAME

    static final String SNMP_DIRECTORY_NAME
    Deprecated.
    The name of the "snmpDirectory" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_SNMP_DIRECTORY

    static final String DEFAULT_SNMP_DIRECTORY
    Deprecated.
    The default value of the "snmpDirectory" property
    See Also:
      - Constant Field Values

  - ### AGENT_SSL_ENABLED_NAME

    static final String AGENT_SSL_ENABLED_NAME
    Deprecated.
    The name of the "agent-ssl-enabled" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_AGENT_SSL_ENABLED

    static final boolean DEFAULT_AGENT_SSL_ENABLED
    Deprecated.
    The default value of the "agent-ssl-enabled" property
    See Also:
      - Constant Field Values

  - ### AGENT_SSL_PROTOCOLS_NAME

    static final String AGENT_SSL_PROTOCOLS_NAME
    Deprecated.
    The name of the "agent-ssl-protocols" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_AGENT_SSL_PROTOCOLS

    static final String DEFAULT_AGENT_SSL_PROTOCOLS
    Deprecated.
    The default value of the "agent-ssl-protocols" property
    See Also:
      - Constant Field Values

  - ### AGENT_SSL_CIPHERS_NAME

    static final String AGENT_SSL_CIPHERS_NAME
    Deprecated.
    The name of the "agent-ssl-ciphers" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_AGENT_SSL_CIPHERS

    static final String DEFAULT_AGENT_SSL_CIPHERS
    Deprecated.
    The default value of the "agent-ssl-ciphers" property
    See Also:
      - Constant Field Values

  - ### AGENT_SSL_REQUIRE_AUTHENTICATION_NAME

    static final String AGENT_SSL_REQUIRE_AUTHENTICATION_NAME
    Deprecated.
    The name of the "agent-ssl-require-authentication" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_AGENT_SSL_REQUIRE_AUTHENTICATION

    static final boolean DEFAULT_AGENT_SSL_REQUIRE_AUTHENTICATION
    Deprecated.
    The default value of the "agent-ssl-require-authentication" property
    See Also:
      - Constant Field Values

  - ### HTTP_SSL_REQUIRE_AUTHENTICATION_NAME

    static final String HTTP_SSL_REQUIRE_AUTHENTICATION_NAME
    Deprecated.
    The name of the "http-ssl-require-authentication" property
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_SSL_REQUIRE_AUTHENTICATION

    static final boolean DEFAULT_HTTP_SSL_REQUIRE_AUTHENTICATION
    Deprecated.
    The default value of the "http-ssl-require-authentication" property
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getAutoConnect

    boolean getAutoConnect()
    Deprecated.
    Returns whether or not the JMX agent will automatically connect to the distributed system it administers. See description above.
    Returns:
      whether or not the JMX agent will automatically connect to the distributed system it administers

  - ### setAutoConnect

    void setAutoConnect(boolean autoConnect)
    Deprecated.
    Sets whether or not the JMX agent will automatically connect to the distributed system it administers. See description above.
    Parameters:
      `autoConnect` - whether or not the JMX agent will automatically connect to the distributed system it administers

  - ### isHttpEnabled

    boolean isHttpEnabled()
    Deprecated.
    Returns whether or not the HTTP adapter is enabled. See description above.
    Returns:
      whether or not the HTTP adapter is enabled

  - ### setHttpEnabled

    void setHttpEnabled(boolean httpEnabled)
    Deprecated.
    Sets whether or not the HTTP adapter is enabled. See description above.
    Parameters:
      `httpEnabled` - whether or not the HTTP adapter is enabled

  - ### getHttpPort

    int getHttpPort()
    Deprecated.
    Returns the port of the HTTP adapter. See description above.
    Returns:
      the port of the HTTP adapter

  - ### setHttpPort

    void setHttpPort(int port)
    Deprecated.
    Sets the port of the HTTP adapter. See description above.
    Parameters:
      `port` - the port of the HTTP adapter

  - ### getHttpBindAddress

    String getHttpBindAddress()
    Deprecated.
    Returns the bind address to which the HTTP adapter's listening socket is bound. See description above.
    Returns:
      the bind address to which the HTTP adapter's listening socket is bound

  - ### setHttpBindAddress

    void setHttpBindAddress(String address)
    Deprecated.
    Sets the bind address to which the HTTP adapter's listening socket is bound. See description above.
    Parameters:
      `address` - the bind address to which the HTTP adapter's listening socket is bound

  - ### isHttpAuthEnabled

    boolean isHttpAuthEnabled()
    Deprecated.
    Returns whether or not the HTTP adapter authenticates connections. See description above.
    Returns:
      whether or not the HTTP adapter authenticates connections

  - ### setHttpAuthEnabled

    void setHttpAuthEnabled(boolean enabled)
    Deprecated.
    Sets whether or not the HTTP adapter authenticates connections. See description above.
    Parameters:
      `enabled` - whether or not the HTTP adapter authenticates connections

  - ### getHttpAuthUser

    String getHttpAuthUser()
    Deprecated.
    Returns the user name for HTTP adapter authentication. See description above.
    Returns:
      the user name for HTTP adapter authentication

  - ### setHttpAuthUser

    void setHttpAuthUser(String user)
    Deprecated.
    Sets the user name for HTTP adapter authentication. See description above.
    Parameters:
      `user` - the user name for HTTP adapter authentication

  - ### getHttpAuthPassword

    String getHttpAuthPassword()
    Deprecated.
    Returns the password for HTTP adapter authentication. See description above.
    Returns:
      the password for HTTP adapter authentication

  - ### setHttpAuthPassword

    void setHttpAuthPassword(String password)
    Deprecated.
    Sets the password for HTTP adapter authentication. See description above.
    Parameters:
      `password` - the password for HTTP adapter authentication

  - ### isRmiEnabled

    boolean isRmiEnabled()
    Deprecated.
    Returns whether or not the RMI adapter is enabled. See description above.
    Returns:
      whether or not the RMI adapter is enabled

  - ### setRmiEnabled

    void setRmiEnabled(boolean rmiEnabled)
    Deprecated.
    Sets whether or not the RMI adapter is enabled. See description above.
    Parameters:
      `rmiEnabled` - whether or not the RMI adapter is enabled

  - ### isRmiRegistryEnabled

    boolean isRmiRegistryEnabled()
    Deprecated.
    Returns whether or not the agent hosts an RMI registry. See description above.
    Returns:
      whether or not the agent hosts an RMI registry

  - ### setRmiRegistryEnabled

    void setRmiRegistryEnabled(boolean enabled)
    Deprecated.
    Sets whether or not the agent hosts an RMI registry. See description above.
    Parameters:
      `enabled` - whether or not the agent hosts an RMI registry

  - ### getRmiPort

    int getRmiPort()
    Deprecated.
    Returns the port of the RMI adapter. See description above.
    Returns:
      the port of the RMI adapter

  - ### setRmiPort

    void setRmiPort(int port)
    Deprecated.
    Sets the port of the RMI adapter. See description above.
    Parameters:
      `port` - the port of the RMI adapter

  - ### getRmiServerPort

    int getRmiServerPort()
    Deprecated.
    Returns the port of the RMI Connector Server. See description above.
    Returns:
      the value set for rmi-server-port
    Since:
      GemFire 6.5

  - ### setRmiServerPort

    void setRmiServerPort(int port)
    Deprecated.
    Sets the port of the RMI Connector Server. See description above.
    Parameters:
      `port` - rmi-server-port to set.
    Since:
      GemFire 6.5

  - ### getRmiBindAddress

    String getRmiBindAddress()
    Deprecated.
    Returns the bind address to which the RMI adapter's listening sockets are bound. See description above.
    Returns:
      the bind address to which the RMI adapter's listening sockets are bound

  - ### setRmiBindAddress

    void setRmiBindAddress(String address)
    Deprecated.
    Sets the bind address to which the RMI adapter's listening sockets are bound. See description above.
    Parameters:
      `address` - the bind address to which the RMI adapter's listening sockets are bound

  - ### isSnmpEnabled

    boolean isSnmpEnabled()
    Deprecated.
    Returns whether or not the SNMP adapter is enabled. See description above.
    Returns:
      whether or not the SNMP adapter is enabled

  - ### setSnmpEnabled

    void setSnmpEnabled(boolean enabled)
    Deprecated.
    Sets whether or not the SNMP adapter is enabled. See description above.
    Parameters:
      `enabled` - whether or not the SNMP adapter is enabled

  - ### getSnmpBindAddress

    String getSnmpBindAddress()
    Deprecated.
    Returns the bind address used with the SNMP adapter. See description above.
    Returns:
      the bind address used with the SNMP adapter

  - ### setSnmpBindAddress

    void setSnmpBindAddress(String address)
    Deprecated.
    Sets the bind address used with the SNMP adapter. See description above.
    Parameters:
      `address` - the bind address used with the SNMP adapter

  - ### getSnmpDirectory

    String getSnmpDirectory()
    Deprecated.
    Returns the directory for the SNMP adapter. See description above.
    Returns:
      the directory for the SNMP adapter

  - ### setSnmpDirectory

    void setSnmpDirectory(String snmpDirectory)
    Deprecated.
    Sets the directory for the SNMP adapter. See description above.
    Parameters:
      `snmpDirectory` - the directory for the SNMP adapter

  - ### isAgentSSLEnabled

    boolean isAgentSSLEnabled()
    Deprecated.
    Returns whether or not SSL is required for the JMX agent. See description above.
    Returns:
      whether or not SSL is required for the JMX agent

  - ### setAgentSSLEnabled

    void setAgentSSLEnabled(boolean enabled)
    Deprecated.
    Sets whether or not SSL is required for the JMX agent. See description above.
    Parameters:
      `enabled` - whether or not SSL is required for the JMX agent

  - ### getAgentSSLProtocols

    String getAgentSSLProtocols()
    Deprecated.
    Returns the SSL protocols used when connecting to the JMX agent. See description above.
    Returns:
      the SSL protocols used when connecting to the JMX agent

  - ### setAgentSSLProtocols

    void setAgentSSLProtocols(String protocols)
    Deprecated.
    Sets the SSL protocols used when connecting to the JMX agent. See description above.
    Parameters:
      `protocols` - the SSL protocols used when connecting to the JMX agent

  - ### getAgentSSLCiphers

    String getAgentSSLCiphers()
    Deprecated.
    Returns the SSL ciphers used when connecting to the JMX agent. See description above.
    Returns:
      the SSL ciphers used when connecting to the JMX agent

  - ### setAgentSSLCiphers

    void setAgentSSLCiphers(String ciphers)
    Deprecated.
    Sets the SSL ciphers used when connecting to the JMX agent. See description above.
    Parameters:
      `ciphers` - the SSL ciphers used when connecting to the JMX agent

  - ### isAgentSSLRequireAuth

    boolean isAgentSSLRequireAuth()
    Deprecated.
    Returns whether SSL authentication is used when connecting to the RMI connector. See description above.
    Returns:
      whether SSL authentication is used when connecting to the RMI connector

  - ### setAgentSSLRequireAuth

    void setAgentSSLRequireAuth(boolean require)
    Deprecated.
    Sets whether SSL authentication is used when connecting to the RMI connector. See description above.
    Parameters:
      `require` - whether SSL authentication is used when connecting to the RMI connector

  - ### isHttpSSLRequireAuth

    boolean isHttpSSLRequireAuth()
    Deprecated.
    Returns whether SSL authentication is used when connecting to the HTTP connector. See description above.
    Returns:
      whether SSL authentication is used when connecting to the HTTP connector

  - ### setHttpSSLRequireAuth

    void setHttpSSLRequireAuth(boolean require)
    Deprecated.
    Sets whether SSL authentication is used when connecting to the HTTP connector. See description above.
    Parameters:
      `require` - whether SSL authentication is used when connecting to the HTTP connector

  - ### isEmailNotificationEnabled

    boolean isEmailNotificationEnabled()
    Deprecated.
    Returns whether Emails for Notifications is enabled See description above.
    Returns:
      whether Emails for Notifications is enabled

  - ### setEmailNotificationEnabled

    void setEmailNotificationEnabled(boolean enabled)
    Deprecated.
    Sets whether Emails for Notifications is enabled See description above.
    Parameters:
      `enabled` - whether Emails for Notifications is enabled

  - ### getEmailNotificationFrom

    String getEmailNotificationFrom()
    Deprecated.
    Returns the EmailID from whom notification emails are sent. See description above.
    Returns:
      the EmailID from whom notification emails are sent

  - ### setEmailNotificationFrom

    void setEmailNotificationFrom(String emailID)
    Deprecated.
    Sets the EmailID from whom notification emails are sent. See description above.
    Parameters:
      `emailID` - the EmailID from whom notification emails are sent

  - ### getEmailNotificationHost

    String getEmailNotificationHost()
    Deprecated.
    Returns the Host Name using which notification emails are sent. See description above.
    Returns:
      the Host Name using which notification emails are sent

  - ### setEmailNotificationHost

    void setEmailNotificationHost(String hostName)
    Deprecated.
    Sets the Host Name from whom notification emails are sent. See description above.
    Parameters:
      `hostName` - the Host Name from whom notification emails are sent

  - ### getEmailNotificationToList

    String getEmailNotificationToList()
    Deprecated.
    Returns the comma separated EmailID list to whom notification emails are sent. See description above.
    Returns:
      the comma separated EmailID list to whom notification emails are sent

  - ### setEmailNotificationToList

    void setEmailNotificationToList(String emailIDs)
    Deprecated.
    Sets the EmailID from whom notification emails are sent as a comma separated list. See description above.
    Parameters:
      `emailIDs` - the EmailID from whom notification emails are sent as a comma separated list

  - ### getStateSaveFile

    String getStateSaveFile()
    Deprecated.
    Returns the name of the file to be used for saving agent state See description above.
    Returns:
      the name of the file to be used for saving agent state

  - ### setStateSaveFile

    void setStateSaveFile(String file)
    Deprecated.
    Sets the name of the file to be used for saving agent state See description above.
    Parameters:
      `file` - the name of the file to be used for saving agent state

  - ### clone

    Object clone() throws CloneNotSupportedException
    Deprecated.
    Returns an `AgentConfig` with the same configuration as this `AgentConfig`.
    Specified by:
      `clone` in interface `DistributedSystemConfig`
    Returns:
      a copy of this `DistributedSystemConfig` object whose configuration can be modified
    Throws:
      `CloneNotSupportedException` - if the object's class does not support the Cloneable interface